#include <bits\stdc++.h>
using namespace std;
string c1,c2,c;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int a1,a2;
    cin>>c>>a1>>a2;
    c1=c[0];
    c2=c[1];
    c="";
    if(abs(a1-a2)>1) cout<<"nemoguce\n";
    else if(a1>a2){
        for(int i=0;i<a1+a2;i++){
            if(i%2==0) c+=c1;
            else c+=c2;
        }
    }
    else for(int i=0;i<a1+a2;i++){
        if(i%2==0)c+=c2;
        else c+=c1;
    }
    cout<<c<<'\n';
    return 0;
}